import { Model, EntityContext } from '@devacour/model-base';
import { IDeleteChangeset, IInsertChangeset, IUpdateChangeset } from './changesetTypes';
import { DeepPartial } from './changesetValues';
export declare function insert<TModel extends Model>(model: TModel, data: EntityContext<TModel>): IInsertChangeset<TModel>;
export declare function update<TModel extends Model>(model: TModel, data: EntityContext<TModel>, params?: DeepPartial<EntityContext<TModel>>): IUpdateChangeset<TModel>;
export declare function remove<TModel extends Model>(model: TModel, data: EntityContext<TModel>): IDeleteChangeset<TModel>;
//# sourceMappingURL=changesetFactory.d.ts.map