"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.articleModel = exports.commentModel = exports.likeModel = void 0;
const model_base_1 = require("@devacour/model-base");
exports.likeModel = (0, model_base_1.model)({
    name: 'comment',
    properties: { userId: { type: 'string' } },
    relations: {},
});
exports.commentModel = (0, model_base_1.model)({
    name: 'comment',
    properties: { text: { type: 'string' } },
    relations: {
    // likes: {
    //     target: [likeModel],
    // },
    // article: {
    //     target: articleModel,
    // },
    },
});
exports.articleModel = (0, model_base_1.model)({
    name: 'article',
    properties: { title: { type: 'string' } },
    relations: {
        comments: { target: [exports.commentModel] },
    },
});
//# sourceMappingURL=fixtureModel.js.map